libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.134. __nv_float2ull_rn

Prototype:

    i64 @__nv_float2ull_rn(float %f)

Description:

Convert the single-precision floating point value `x` to an unsigned 64-bit integer in round-to-nearest-even mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes